Access2Web help

Access2Web 1.2

Publishing your database on the internet has never been easier. Simply import existing HTML code, open your database and insert the database fields anywhere in the code you like. Access2Web generates all the HTML files for you. The HTML files consist of an index file and a record file for each record in the database.

It is optional to generate either index file or record files or both.

Access2Web is very flexible and you can use any HTML code you like. If you regulary update your website, Access2Web can create a shortcut on your desktop. In the future all you have to do to update your website is update your database and press the Access2Web project icon!

Creating a project
Inserting data from database
Formatting data (new in version 1.2)
Building HTML files
Creating a project shortcut

How to register Access2Web

Special tags:

Loop tag | <¤ LOOP_BEGIN ¤> <¤ LOOP_END ¤>
Field tag | <¤ [Field] ¤>
If-empty tag | <¤ IF_EMPTY="" ELSE="" [Field] END="" ¤>
Color tag | <¤ BGCOLOR_1="" BGCOLOR_2="" ¤>
Format tag | <¤ [Field] format ($ ###,000.00) ¤>
Replace tag | <¤ [Field] replace (cr,<br>) ¤>
Record link tag | <¤ RECORD_LINK ¤>
Index link tag | <¤ INDEX_LINK ¤>
Time tag | <¤ TIME ¤>
Date tag | <¤ DATE ¤>

Please look at some of the samples. You will find by clicking Help on the toolbar in Access2Web and then Samples.


Creating a project

Creating a project.

In order to create an Access2Web project, you must have your data in a Microsoft Access database, Dbase, Excel sheet, text files* or any ODBC database.

In the New Project dialog box you specify the name of the project, the directory in which to save the project and which database, you would like to use.

You will now have to specify which table or query holds the information you would like published on your website. You can only use one table or query in a project. If you want information from several tables you will need to make a query in your database and then use this query in Access2Web.

Your screen should now look something like this.

You are now ready to write (or import) any HTML code you would like for your Index file and the Record files.

* NOTE: Text files must be delimiter separated by semicolon or comma. The first line denotes the names of the fields. If you want to customize the names, insert a line at top of the text files specifying the names of the fields. E.g. "MyField1; MyField2; MyField3".


Insert data from database

Inserting data from database.

Access2Web gives you two options when it comes to inserting data from the database. Field simply puts the data from that particular field onto the web page. Dobbelt click on the database field and the tag (<¤ [Field name] ¤>) is created in the editor.

If the database field contains the string "Hello", then "Hello" would appear in the HTML code when the files are built. If the database contains a null string the tag would have no impact on the final HTML code.

Sometimes it is useful to take special action in case the field is empty. For this purpose you will use the If Empty tag. This tag makes it possible to take some kind of action in case the field in the database is empty. Right click (or press Ctrl + E) on the database field and the tag (<¤ IF_EMPTY="" ELSE="" [Field name] END="" ¤>) is created.


Formatting data from database

Formatting data from database.

Access2Web version 1.2 comes with new data formatting features. This way you can display your data in various ways on your HTML pages.

This format parameter works like this:

Formatting Time data type:
<¤ MyTime format(Long Time) ¤> displays 5:34:23 PM, system-defined long time format
<¤ MyTime format(Medium time) ¤> displays 5:34 PM, system-defined medium time format
<¤ MyTime format(Short time) ¤> displays 5:34, system-defined short time format
<¤ MyTime format(h:m:s) ¤> displays 17:4:23
<¤ MyTime format(hh:mm:ss) ¤> displays 05:04:23 PM

Formatting Date data type:
<¤ MyDate format(Long Date) ¤> displays Sunday, June 19, 1994, system-defined long date format
<¤ MyDate format(Medium Date) ¤> displays 19-Jun-94, system-defined medium date format
<¤ MyDate format(Short Date) ¤> displays 19-06-94, system-defined short date format
<¤ MyDate format(dddd, mmm d yyyy) ¤> displays Sunday, Jun 19 1994
<¤ MyDate format(dd mm yy) ¤> displays 19-06-99

Formatting Number data type (#=optonal, 0=required):
<¤ MyNumber format(##,##0.00) ¤> displays 5,459.00 or 0.12
<¤ MyNumber format(##0.00) ¤> displays 5459.00 or 0.12
<¤ MyNumber format(0.00%) ¤> displays 125.00%

Formatting Text type:
<¤ MyText format(>) ¤> displays MyText in uppercase "HELLO"
<¤ MyText format(<) ¤> displays MyText in lowercase "hello"

Replace tag:

<¤ [Field] replace (cr,<br>) ¤>

The replace tag can be used to replace linebreaks in the database with the HTML equivalent <br>.


Building HTML files

Building the HTML files.

When you have finished up the code you are ready to export to HTML. Press [image] or hit F5 and the dialog box below appears.

Select the desired output directory. Next name the index file whatever you want. By default it has the name of the project.

The individual HTML files can either have the same name followed by their record number (e.g. file1.htm file2.htm etc.), or you can choose any field from the database.

NOTE: Make sure the field you select is a primary key. Otherwise HTML files are overwritten.

It is optional to generate either index file or record files or both. This means that almost any HTML page on your website can be updated and maintained by Access2Web.

Once you have built the project, you can always hit QuickBuild [image] and view your changes in "Browse" :

or in an ekstern browser with QuickView [image].


Creating a project shortcut

Creating a project shortcut.

When you have finished your Access2Web project, updating your website is only a matter of maintaining your database. You don´t even have to open Access2Web anymore. Just create a project shortcut.

From now on this is all you have to do, to convert your access database into HTML files. When clicking the project icon, the Access2Web compiler starts.

Your HTML files are now ready for upload.


LOOP tag

Loop tag.

<¤ LOOP_BEGIN ¤> <¤ LOOP_END ¤>

The loop tag defines which part of the HTML code is to be repeated for each record in the database. Anything inside the loop tag is repeated.

For example if you build an HTML table containing your database information, a good idea would be to repeat table rows inside the loop tag, while having the table start and end tags outside. Like this:

<table>
<¤ LOOP_BEGIN ¤>
<tr>
<td>

<!-- insert database fields >

</td>
</tr>
<¤ LOOP_END ¤>
</table>

The loop tag is only available in index file. The record files contain information on one and only one record.

NOTE: The <¤ LOOP_BEGIN ¤> and <¤ LOOP_END ¤> tags must be inserted on lines of their own. Otherwise they will not compile. Therfore, do not move the LOOP tags.


Field tag

Field tag.

<¤ [Field name] ¤>

This tag is very simple. It simply puts the content of the database field in the HTML code. You can insert a database field in the HTML code by double-clicking the field, pressing Ctrl + F or right clicking the field and press "Field".


If Empty tag

If Empty tag.

<¤ IF_EMPTY="" ELSE="" [Databasefield] END="" ¤>

This tag makes it possible to take special action in case a database field is empty. Let us look at an axample:

Say you have a pricelist on your website. For some reason you don´t have a price ready for a certain product. Instead of the price being missing you would like to inform the customer on when the price will be available. For this purpose you will use the If Empty tag. Right click on the database field and press the If Empty icon.

In this case the following tag would be generated:

<¤ IF_EMPTY="" ELSE="" [UnitPrice] END="" ¤>

This tag consists of four parts:

IF_EMPTY="" Anything you put inside the quotations will appear in the HTML code if the database field is empty.

ELSE="" Anything you put inside the quotations will appear in the HTML code right before the content of the database field if the database field is not empty.

[UnitPrice] The database field (in this case UnitPrice) will be put out whether it is empty or not.

END="" Anything you put inside the quotations will appear in the HTML code immediately after the database field.

To obtain our goal of informing the customer regarding missing prices, we would insert the If Empty tag like this:

<¤ IF_EMPTY="Sorry, no price on this product. It will be availabe within 2-3 days." ELSE="$" [UnitPrice] END=" plus shipping and handling." ¤>


Color tag

Color tag.

<¤ BGCOLOR_1="" BGCOLOR_2="" ¤>

This tag can be used to generate the popular alternate colors in table rows. It can be put inside the <tr> tag or the <td> tag. In order for the color tag to work, it has to reside inside the loop tag.

Use it like this:

<tr <¤ BGCOLOR_1="red" BGCOLOR_2="yellow" ¤> >
or
<tr <¤ BGCOLOR_1="#FF0000" BGCOLOR_2="#FFFF00" ¤> >

The result could be something like this:

Check out the Real Estate sample to see how to use the Color tag.


Record link tag

Record link tag.

<¤ RECORD_LINK ¤>

This tag generates the name of each of the indvidual record files. This tag must reside inside the Loop tag, as a name is generated for each record.

Use the tag like this:
<A HREF="<¤ RECORD_LINK ¤>">Link description</A>

NOTE: As link description you would normally use a database field. If you for some reasons want the names of your record files to appear on the HTML page, then you can also use the Record link tag.


Index Link tag

Index link tag.

<¤ INDEX_LINK ¤>

This tag generates the name of the index file. Use this tag to create a link from the record files back to the index file.

Use the tag like this:

<A HREF="<¤ INDEX_LINK ¤>">Back to index file</A>

NOTE: As link description you could use a gif file. Study the samples to learn more about the use of the Index file tag.


Time tag

Time tag.

<¤ TIME ¤>

Use this tag to insert current time. You can use the format option on the Date tag.


Date tag

Date tag.

<¤ Date ¤>

Use this tag to insert current date. You can use the format option on the Date tag.


News

SpringTime Aps

HOME

ABOUT

PRODUCTS

SUPPORT

News Sample

Welcome to the news sample. This sample will show how flexible Access2Web 1.0 is. You can update any part of your HTML page and customize it exactly the way you want it. Here for example, the news table to left is only a small part of the HTML page/website.

NEWS
March 29, 1999
Access2Web
Springtime presents a brand new software for publishing your access data on the internet.

March 25, 1999
Support
We have expanded our support capacity. We answer every email within 1 business day.

March 24, 1999
Beta version
A Beta version of Access2Web is now available for download.


Real estate example

REAL ESTATE SAMPLE

City | Type | Area | Rent | Salesprice | Case number
San Fransisco | House | 400 sq.m. | $ 500/month | - | case-001
Los Angeles | Apartment | 225 sq.m. | - | $500.000 | case-002
Louisville | Ranch | 1500 sq.m. | - | $2,1 million | case-014
Memphis | Apartment | 223 sq.m. | - | $521.000 | case-015
Pendleton | House | 450 sq.m. | - | $4.000.000 | case-016
Huntington | House | 450 sq.m. | $525/month | - | case-018
Wallingford | Apartment | 125 sq.m. | $400/month | - | case-020
Rockford | Ranch | 1400 sq.m. | - | $4.5 million | case-021
Washington | House | 550 sq.m. | $750/month | $2.1 million | case-022

This sample is created by Access2Web v. 1.0.
(c) 1999 Springtime Aps. All rights reserved.


Registering Access2Web 1.0.

Registering Access2Web 1.2.

Please visit our website at www.access2web.dk for more information on how to buy or register Access2Web 1.2.


Real Estate sample

Real Estate sample.

Open the Real Estate sample by clicking Help, Samples, Realestate on the toolbar.

The HTML pages in this sample are maintained by a very simple database. This is a screen shot of the database:

This sample shows how easy it is to maintain a website using Access2Web.

The database is located in the realestate folder under samples. It is a very simple and easy to maintain database.

Study how fields from the database are inserted in the HTML code and look at the result using "Browse" or QuickView.


News sample

News sample.

Open the News sample by clicking Help, Samples, News on the toolbar.

The HTML pages in this sample are maintained by a very simple database. This is a screen shot of the database:

This sample shows how easy it is to maintain a website using Access2Web. The database is located in the news folder under samples. It is a very simple and easy to maintain database.

Study how fields from the database are inserted in the HTML code and look at the result using "Browse" or QuickView.